#include "jchartest.h"

void CreateTestFile(char *szFileName, unsigned short sCode) {
	HANDLE hFile;
	UCHAR inBuffer[8];

	hFile = CreateFile(szFileName, GENERIC_READ|GENERIC_WRITE, 0, NULL, CREATE_NEW, 
		FILE_ATTRIBUTE_NORMAL, NULL);
	if (hFile == INVALID_HANDLE_VALUE) {
		PrintErrorMessage(__FILE__, "CreateFile", __LINE__);
		ExitProcess(1);
	}

	sprintf(inBuffer, "%x\n", sCode);

	{
		DWORD nBytesWritten;
		DWORD nBytesToWrite = strlen(inBuffer);
		while (nBytesToWrite > 0) {
			if (!WriteFile(hFile, &inBuffer, nBytesToWrite, &nBytesWritten, NULL)) {
				PrintErrorMessage(__FILE__, "WriteFile", __LINE__);
				ExitProcess(1);
			}
			nBytesToWrite = nBytesToWrite - nBytesWritten;
		}
	}

	CloseHandle(hFile);
}